<?
define('PROTECTOR', 1);
$headmod = 'arena';//фикс. места

$textl='Арена';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');
///////////////
$taim = 150;
$date = time();
$time = date("H:i d.m.y");
$timeout = $date - $taim;
$box=rand(2,25);
$box1=rand(1,5);
////////////////
$lv0=$udata[lvl]-2;
$lv1=$udata[lvl]-1;
$lv2=$udata[lvl];
$lv3=$udata[lvl]+1;
$lv4=$udata[lvl]+2;



switch($_GET[mod]){

default:
if ($udata[fp]>=1){


$asd1 = mysql_query("SELECT * FROM `regfight` WHERE  `usr` = '$log'");
$visi1 = mysql_fetch_array($asd1);
if ($visi1 == NULL){
mysql_query("INSERT INTO
        `regfight` SET
        `usr` = '$log'");
}
echo'<div class="m_bg">Арена</div><div class="m_bg">';
echo"Выберите уровень противника:<br/>";
if ($lv2>=2)echo'<a href="/fp.php?mod=0">Уровень '.$lv0.'</a><br/>';
if ($lv2>=1)echo'<a href="/fp.php?mod=1">Уровень '.$lv1.'</a><br/>';
echo'<a href="/fp.php?mod=2">Равный уровень</a><br/>';
if ($lv2<40)echo'<a href="/fp.php?mod=3">Уровень '.$lv3.'</a><br/>';
if ($lv2<40)echo'<a href="/fp.php?mod=4">Уровень '.$lv4.'</a></div>';
}else {echo"Отдохните после боя!";}
break;

case '0':
if ($udata[fp]>=1){
$asd = mysql_query("SELECT * FROM `users` WHERE `lvl`='$lv0' AND `usr` != '$log' ORDER BY RAND() LIMIT 1");
$visi = mysql_fetch_array($asd);
if ($visi!=NULL){
$result =  mysql_query("SELECT * FROM `users` WHERE `usr` = '$visi[usr]'");
$res = mysql_fetch_array($result);
$z1=$udata[pgolova]+$udata[pnogi]+$udata[pbody];
$z2=$res[pgolova]+$res[pnogi]+$res[pbody];
echo'<div class="m_bg">'.$log.' против '.$res[usr].'</div><div class="m_bg">';
echo "Сила: $udata[sila] против $res[sila]<br/>";
echo "Защита: $z1 против $z2<br/>";
echo "Уворот: $udata[lovk] против $res[lovk]<br/>";
echo "Урон: $udata[umax] против $res[umax]<br/>";
echo "Здоровье: $udata[hp] против $res[hp]<br/>";
echo "Блок: $udata[antikrit] против $res[antikrit]<br/>";
echo"<a href='/fp.php?mod=9&amp;nick=".$visi['usr']."'>В бой!</a><br/>";
echo'<a href="/fp.php?mod=1">Другой</a><br/>';
echo'<a href="/fp.php">Вернуться на арену</a></div>';}else{echo "Нет подходящего соперника!<br/>";echo'<a href="/fp.php">Вернуться на арену</a><br/>';}
}else {echo"Отдохните после боя!<br/>";}
break;
case '1':
if ($udata[fp]>=1){
$asd = mysql_query("SELECT * FROM `users` WHERE `lvl`='$lv1' AND `usr` != '$log' ORDER BY RAND() LIMIT 1");
$visi = mysql_fetch_array($asd);
if ($visi!=NULL){
$result =  mysql_query("SELECT * FROM `users` WHERE `usr` = '$visi[usr]'");
$res = mysql_fetch_array($result);
$z1=$udata[pgolova]+$udata[pnogi]+$udata[pbody];
$z2=$res[pgolova]+$res[pnogi]+$res[pbody];
echo'<div class="m_bg">'.$log.' против '.$res[usr].'</div><div class="m_bg">';
echo "Сила: $udata[sila] против $res[sila]<br/>";
echo "Защита: $z1 против $z2<br/>";
echo "Уворот: $udata[lovk] против $res[lovk]<br/>";
echo "Урон: $udata[umax] против $res[umax]<br/>";
echo "Здоровье: $udata[hp] против $res[hp]<br/>";
echo "Блок: $udata[antikrit] против $res[antikrit]<br/>";
echo"<a href='/fp.php?mod=5&amp;nick=".$visi['usr']."'>В бой!</a><br/>";
echo'<a href="/fp.php?mod=1">Другой</a><br/>';
echo'<a href="/fp.php">Вернуться на арену</a></div>';}else{echo "Нет подходящего соперника!<br/>";echo'<a href="/fp.php">Вернуться на арену</a><br/>';}
}else {echo"Отдохните после боя!<br/>";}
break;
case '2':
if ($udata[fp]>=1){
$asd = mysql_query("SELECT * FROM `users` WHERE `lvl`='$lv2' AND `usr` != '$log' ORDER BY RAND() LIMIT 1");
$visi = mysql_fetch_array($asd);
if ($visi!=NULL){
$result =  mysql_query("SELECT * FROM `users` WHERE `usr` = '$visi[usr]'");
$res = mysql_fetch_array($result);
$z1=$udata[pgolova]+$udata[pnogi]+$udata[pbody];
$z2=$res[pgolova]+$res[pnogi]+$res[pbody];
echo "$log против $res[usr]<br/>";
echo "Сила: $udata[sila] против $res[sila]<br/>";
echo "Защита: $z1 против $z2<br/>";
echo "Уворот: $udata[lovk] против $res[lovk]<br/>";
echo "Урон: $udata[umax] против $res[umax]<br/>";
echo "Здоровье: $udata[hp] против $res[hp]<br/>";
echo "Блок: $udata[antikrit] против $res[antikrit]<br/>";
echo"<a href='/fp.php?mod=6&amp;nick=".$visi['usr']."'>В бой!</a><br/>";
echo'<a href="/fp.php?mod=2">Другой</a><br/>';
echo'<a href="/fp.php">Вернуться на арену</a><br/>';}else{echo "Нет подходящего соперника!<br/>";echo'<a href="/fp.php">Вернуться на арену</a><br/>';}
}else {echo"Отдохните после боя!</div>";}
break;
case '3':
if ($udata[fp]>=1){
$asd = mysql_query("SELECT * FROM `users` WHERE `lvl`='$lv3' AND `usr` != '$log' ORDER BY RAND() LIMIT 1");
$visi = mysql_fetch_array($asd);
if ($visi!=NULL){
$result =  mysql_query("SELECT * FROM `users` WHERE `usr` = '$visi[usr]'");
$res = mysql_fetch_array($result);
$z1=$udata[pgolova]+$udata[pnogi]+$udata[pbody];
$z2=$res[pgolova]+$res[pnogi]+$res[pbody];
echo'<div class="m_bg">'.$log.' против '.$res[usr].'</div><div class="m_bg">';
echo "Сила: $udata[sila] против $res[sila]<br/>";
echo "Защита: $z1 против $z2<br/>";
echo "Уворот: $udata[lovk] против $res[lovk]<br/>";
echo "Урон: $udata[umax] против $res[umax]<br/>";
echo "Здоровье: $udata[hp] против $res[hp]<br/>";
echo "Блок: $udata[antikrit] против $res[antikrit]<br/>";
echo"<a href='/fp.php?mod=7&amp;nick=".$visi['usr']."'>В бой!</a><br/>";
echo'<a href="/fp.php?mod=3">Другой</a><br/>';
echo'<a href="/fp.php">Вернуться на арену</a><br/>';}else{echo "Нет подходящего соперника!<br/>";echo'<a href="/fp.php">Вернуться на арену</a><br/>';}
}else {echo"Отдохните после боя!</div>";}
break;
case '4':
if ($udata[fp]>=1){
$asd = mysql_query("SELECT * FROM `users` WHERE `lvl`='$lv4' AND `usr` != '$log' ORDER BY RAND() LIMIT 1");
$visi = mysql_fetch_array($asd);
if ($visi!=NULL){
$result =  mysql_query("SELECT * FROM `users` WHERE `usr` = '$visi[usr]'");
$res = mysql_fetch_array($result);
$z1=$udata[pgolova]+$udata[pnogi]+$udata[pbody];
$z2=$res[pgolova]+$res[pnogi]+$res[pbody];
echo'<div class="m_bg">'.$log.' против '.$res[usr].'</div><div class="m_bg">';
echo "Сила: $udata[sila] против $res[sila]<br/>";
echo "Защита: $z1 против $z2<br/>";
echo "Уворот: $udata[lovk] против $res[lovk]<br/>";
echo "Урон: $udata[umax] против $res[umax]<br/>";
echo "Здоровье: $udata[hp] против $res[hp]<br/>";
echo "Блок: $udata[antikrit] против $res[antikrit]<br/>";
echo"<a href='/fp.php?mod=8&amp;nick=".$visi['usr']."'>В бой!</a><br/>";
echo'<a href="/fp.php?mod=4">Другой</a><br/>';
echo'<a href="/fp.php">Вернуться на арену</a></div>';}else{echo "Нет подходящего соперника!<br/>";echo'<a href="/fp.php">Вернуться на арену</a><br/>';}
}else {echo"Отдохните после боя!<br/>";}
break;
case '5':
if ($udata[fp]>=1){
if($_GET['nick'] != NULL){
$visi  = $_GET['nick'];
$nfp=$udata['fp']-(1);
mysql_query("UPDATE users SET fp = '$nfp' WHERE usr = '$log' and fp > 0 LIMIT 1");
$result =  mysql_query("SELECT * FROM `users` WHERE `usr` = '$visi'");
$res = mysql_fetch_array($result);
$z1=$udata[pgolova]+$udata[pnogi]+$udata[pbody];
$z2=$res[pgolova]+$res[pnogi]+$res[pbody];
$s1=$z1+$udata[sila]+$udata[lovk]+$udata[umax]+$udata[hp]+$udata[antikrit];
$s2=$z2+$res[sila]+$res[lovk]+$res[umax]+$res[hp]+$res[antikrit];
if($res[lvl]!=0){$sb=$res[lvl]*$box;}else{$sb=$box;}
if($udata[lvl]!=0){$sbm=$res[lvl]*$box;}else{$sbm=$box;}
if($res[lvl]!=0){$op=$res[lvl]*$box1;}else{$op=$box1;}
if ($s1>=$s2){echo "Вы победили война $visi! И забрали у него $sb монет и получили $op опыта!<br/>";
mysql_query("UPDATE users SET money = `money`+'$sb', arenawins = `arenawins`+'1', boi = `boi`+'1', exp = `exp`+'$op' WHERE usr = '$log'");
mysql_query("UPDATE users SET arenaloses = `arenaloses`+'1', boi = `boi`+'1' WHERE usr = '$visi'");
if(!empty($udata[clan]))
{
$req2 = mysql_query("SELECT * FROM `clan` WHERE `lider` = '$udata[clan]' LIMIT 1");
$clan = mysql_fetch_array($req2);
mysql_query("UPDATE `clan` SET `exp`='$clan[exp]' + '$op' WHERE `name` = '$clan[name]' LIMIT 1");
mysql_query("UPDATE `users` SET `cexp`='$udata[cexp]' + '$op' WHERE `usr` = '$log' LIMIT 1");
}




$text = 'На Вас напал '.$log.', победив Вас';
mysql_query("INSERT INTO `otchet` SET `user_from` = '$log', `user_to` = '$visi', `time` = '$time', `read` = 1, `mail_msg` = '$text'");
}
else {
if($udata['money'] < $sbm) { $sbm = $udata['money']; }
echo "Вы проиграли битву против $visi! У вас отняли $sbm монет!<br/>";
mysql_query("UPDATE users SET money = `money`+'$sbm', arenawins = `arenawins`+'1', boi = `boi`+'1' WHERE usr = '$visi'");
mysql_query("UPDATE users SET boi = `boi`+'1', money = `money`-'$sbm', arenaloses = `arenaloses`+'1' WHERE usr = '$log'");
$text = 'На Вас напал '.$log.', но Вы дали ему отпор и заработали '.$sbm.' монет';
mysql_query("INSERT INTO `otchet` SET `user_from` = '$log', `user_to` = '$visi', `time` = '$time', `read` = 1, `mail_msg` = '$text'");
}
echo "<b>Детали боя:</b><br/>";
$a1=$udata[sila]-$res[pgolova];
$a2=$res[sila]-$udata[pgolova];
$a3=$udata[sila]-$res[pnogi];
$a4=$res[sila]-$udata[pnogi];
$a5=$udata[sila]-$res[pbody];
$a6=$res[sila]-$udata[pbody];
$a7=$s1-$z2;
$a8=$s2-$z1;
if ($a7<=0)$a7=0;
if ($a8<=0)$a8=0;
echo "$log ударил противника на $a7<br/>";
echo "$visi ударил противника на $a8<br/>";
echo'<a href="/fp.php">Вернуться на арену</a><br/>';}
else { echo"Вы не выбрали противника!<br/>";
echo'<a href="/fp.php">Вернуться на арену</a>';}
}else {echo"Отдохните после боя!<br/>";}
break;
case '6':
if ($udata[fp]>=1){
if($_GET['nick'] != NULL){
$visi  = $_GET['nick'];



$nfp=$udata['fp']-(1);
mysql_query("UPDATE users SET fp = '$nfp' WHERE usr = '$log' and fp > 0 LIMIT 1");
$result =  mysql_query("SELECT * FROM `users` WHERE `usr` = '$visi'");
$res = mysql_fetch_array($result);
$z1=$udata[pgolova]+$udata[pnogi]+$udata[pbody];
$z2=$res[pgolova]+$res[pnogi]+$res[pbody];
$s1=$z1+$udata[sila]+$udata[lovk]+$udata[umax]+$udata[hp]+$udata[antikrit];
$s2=$z2+$res[sila]+$res[lovk]+$res[umax]+$res[hp]+$res[antikrit];
if($res[lvl]!=0){$sb=$res[lvl]*$box;}else{$sb=$box;}
if($udata[lvl]!=0){$sbm=$res[lvl]*$box;}else{$sbm=$box;}
if($res[lvl]!=0){$op=$res[lvl]*$box1;}else{$op=$box1;}
if ($s1>=$s2){echo "Вы победили война $visi! И забрали у него $sb монет и получили $op опыта!<br/>";
mysql_query("UPDATE users SET money = `money`+'$sb', arenawins = `arenawins`+'1', boi = `boi`+'1', exp = `exp`+'$op' WHERE usr = '$log'");
mysql_query("UPDATE users SET arenaloses = `arenaloses`+'1', boi = `boi`+'1' WHERE usr = '$visi'");
if(!empty($udata[clan]))
{
$req2 = mysql_query("SELECT * FROM `clan` WHERE `lider` = '$udata[clan]' LIMIT 1");
$clan = mysql_fetch_array($req2);
mysql_query("UPDATE `clan` SET `exp`='$clan[exp]' + '$op' WHERE `name` = '$clan[name]' LIMIT 1");
mysql_query("UPDATE `users` SET `cexp`='$udata[cexp]' + '$op' WHERE `usr` = '$log' LIMIT 1");
}
$text = 'На Вас напал '.$log.', победив Вас';
mysql_query("INSERT INTO `otchet` SET `user_from` = '$log', `user_to` = '$visi', `time` = '$time', `read` = 1, `mail_msg` = '$text'");
}
else {
if($udata['money'] < $sbm) { $sbm = $udata['money']; }
echo "Вы проиграли битву против $visi! У вас отняли $sbm монет!<br/>";
mysql_query("UPDATE users SET money = `money`+'$sbm', arenawins = `arenawins`+'1', boi = `boi`+'1' WHERE usr = '$visi'");
mysql_query("UPDATE users SET boi = `boi`+'1', money = `money`-'$sbm', arenaloses = `arenaloses`+'1' WHERE usr = '$log'");
$text = 'На Вас напал '.$log.', но Вы дали ему отпор и заработали '.$sbm.' монет';
mysql_query("INSERT INTO `otchet` SET `user_from` = '$log', `user_to` = '$visi', `time` = '$time', `read` = 1, `mail_msg` = '$text'");
}
echo "<b>Детали боя:</b><br/>";
$a1=$udata[sila]-$res[pgolova];
$a2=$res[sila]-$udata[pgolova];
$a3=$udata[sila]-$res[pnogi];
$a4=$res[sila]-$udata[pnogi];
$a5=$udata[sila]-$res[pbody];
$a6=$res[sila]-$udata[pbody];
$a7=$s1-$z2;
$a8=$s2-$z1;
if ($a7<=0)$a7=0;
if ($a8<=0)$a8=0;
echo "$log ударил противника на $a7<br/>";
echo "$visi ударил противника на $a8<br/>";
echo'<a href="/fp.php">Вернуться на арену</a><br/>'; }
else { echo"Вы не выбрали противника!<br/>";
echo'<a href="/fp.php">Вернуться на арену</a>';}
}else {echo"Отдохните после боя!<br/>";}
break;
case '7':
if ($udata[fp]>=1){
$visi  = $_GET['nick'];
if($_GET['nick'] != NULL){
$nfp=$udata['fp']-(1);
mysql_query("UPDATE users SET fp = '$nfp' WHERE usr = '$log' and fp > 0 LIMIT 1");
$result =  mysql_query("SELECT * FROM `users` WHERE `usr` = '$visi'");
$res = mysql_fetch_array($result);
$z1=$udata[pgolova]+$udata[pnogi]+$udata[pbody];
$z2=$res[pgolova]+$res[pnogi]+$res[pbody];
$s1=$z1+$udata[sila]+$udata[lovk]+$udata[umax]+$udata[hp]+$udata[antikrit];
$s2=$z2+$res[sila]+$res[lovk]+$res[umax]+$res[hp]+$res[antikrit];
if($res[lvl]!=0){$sb=$res[lvl]*$box;}else{$sb=$box;}
if($udata[lvl]!=0){$sbm=$res[lvl]*$box;}else{$sbm=$box;}
if($res[lvl]!=0){$op=$res[lvl]*$box1;}else{$op=$box1;}
if ($s1>=$s2){echo "Вы победили война $visi! И забрали у него $sb монет и получили $op опыта!<br/>";
mysql_query("UPDATE users SET money = `money`+'$sb', arenawins = `arenawins`+'1', boi = `boi`+'1', exp = `exp`+'$op' WHERE usr = '$log'");
mysql_query("UPDATE users SET arenaloses = `arenaloses`+'1', boi = `boi`+'1' WHERE usr = '$visi'");
if(!empty($udata[clan]))
{
$req2 = mysql_query("SELECT * FROM `clan` WHERE `lider` = '$udata[clan]' LIMIT 1");
$clan = mysql_fetch_array($req2);
mysql_query("UPDATE `clan` SET `exp`='$clan[exp]' + '$op' WHERE `name` = '$clan[name]' LIMIT 1");
mysql_query("UPDATE `users` SET `cexp`='$udata[cexp]' + '$op' WHERE `usr` = '$log' LIMIT 1");
}
$text = 'На Вас напал '.$log.', победив Вас';
mysql_query("INSERT INTO `otchet` SET `user_from` = '$log', `user_to` = '$visi', `time` = '$time', `read` = 1, `mail_msg` = '$text'");
}
else {
if($udata['money'] < $sbm) { $sbm = $udata['money']; }
echo "Вы проиграли битву против $visi! У вас отняли $sbm монет!<br/>";
mysql_query("UPDATE users SET money = `money`+'$sbm', arenawins = `arenawins`+'1', boi = `boi`+'1' WHERE usr = '$visi'");
mysql_query("UPDATE users SET boi = `boi`+'1', money = `money`-'$sbm', arenaloses = `arenaloses`+'1' WHERE usr = '$log'");
$text = 'На Вас напал '.$log.', но Вы дали ему отпор и заработали '.$sbm.' монет';
mysql_query("INSERT INTO `otchet` SET `user_from` = '$log', `user_to` = '$visi', `time` = '$time', `read` = 1, `mail_msg` = '$text'");
}
echo "<b>Детали боя:</b><br/>";
$a1=$udata[sila]-$res[pgolova];
$a2=$res[sila]-$udata[pgolova];
$a3=$udata[sila]-$res[pnogi];
$a4=$res[sila]-$udata[pnogi];
$a5=$udata[sila]-$res[pbody];
$a6=$res[sila]-$udata[pbody];
$a7=$s1-$z2;
$a8=$s2-$z1;
if ($a7<=0)$a7=0;
if ($a8<=0)$a8=0;
echo "$log ударил противника на $a7<br/>";
echo "$visi ударил противника на $a8<br/>";
echo'<a href="/fp.php">Вернуться на арену</a><br/>';}
else { echo"Вы не выбрали противника!<br/>";
echo'<a href="/fp.php">Вернуться на арену</a>';}
}else {echo"Отдохните после боя!<br/>";}
break;
case '8':
if ($udata[fp]>=1){
$visi  = $_GET['nick'];
if($_GET['nick'] != NULL){
$nfp=$udata['fp']-(1);
mysql_query("UPDATE users SET fp = '$nfp' WHERE usr = '$log' and fp > 0 LIMIT 1");
$result =  mysql_query("SELECT * FROM `users` WHERE `usr` = '$visi'");
$res = mysql_fetch_array($result);
$z1=$udata[pgolova]+$udata[pnogi]+$udata[pbody];
$z2=$res[pgolova]+$res[pnogi]+$res[pbody];
$s1=$z1+$udata[sila]+$udata[lovk]+$udata[umax]+$udata[hp]+$udata[antikrit];
$s2=$z2+$res[sila]+$res[lovk]+$res[umax]+$res[hp]+$res[antikrit];
if($res[lvl]!=0){$sb=$res[lvl]*$box;}else{$sb=$box;}
if($udata[lvl]!=0){$sbm=$res[lvl]*$box;}else{$sbm=$box;}
if($res[lvl]!=0){$op=$res[lvl]*$box1;}else{$op=$box1;}
if ($s1>=$s2){echo "Вы победили война $visi! И забрали у него $sb монет и получили $op опыта!<br/>";
mysql_query("UPDATE users SET money = `money`+'$sb', arenawins = `arenawins`+'1', boi = `boi`+'1', exp = `exp`+'$op' WHERE usr = '$log'");
mysql_query("UPDATE users SET arenaloses = `arenaloses`+'1', boi = `boi`+'1' WHERE usr = '$visi'");
if(!empty($udata[clan]))
{
$req2 = mysql_query("SELECT * FROM `clan` WHERE `lider` = '$udata[clan]' LIMIT 1");
$clan = mysql_fetch_array($req2);
mysql_query("UPDATE `clan` SET `exp`='$clan[exp]' + '$op' WHERE `name` = '$clan[name]' LIMIT 1");
mysql_query("UPDATE `users` SET `cexp`='$udata[cexp]' + '$op' WHERE `usr` = '$log' LIMIT 1");
}
$text = 'На Вас напал '.$log.', победив Вас';
mysql_query("INSERT INTO `otchet` SET `user_from` = '$log', `user_to` = '$visi', `time` = '$time', `read` = 1, `mail_msg` = '$text'");
}
else {
if($udata['money'] < $sbm) { $sbm = $udata['money']; }
echo "Вы проиграли битву против $visi! У вас отняли $sbm монет!<br/>";
mysql_query("UPDATE users SET money = `money`+'$sbm', arenawins = `arenawins`+'1', boi = `boi`+'1' WHERE usr = '$visi'");
mysql_query("UPDATE users SET boi = `boi`+'1', money = `money`-'$sbm', arenaloses = `arenaloses`+'1' WHERE usr = '$log'");
$text = 'На Вас напал '.$log.', но Вы дали ему отпор и заработали '.$sbm.' монет';
mysql_query("INSERT INTO `otchet` SET `user_from` = '$log', `user_to` = '$visi', `time` = '$time', `read` = 1, `mail_msg` = '$text'");
}
echo "<b>Детали боя:</b><br/>";
$a1=$udata[sila]-$res[pgolova];
$a2=$res[sila]-$udata[pgolova];
$a3=$udata[sila]-$res[pnogi];
$a4=$res[sila]-$udata[pnogi];
$a5=$udata[sila]-$res[pbody];
$a6=$res[sila]-$udata[pbody];
$a7=$s1-$z2;
$a8=$s2-$z1;
if ($a7<=0)$a7=0;
if ($a8<=0)$a8=0;
echo "$log ударил противника на $a7<br/>";
echo "$visi ударил противника на $a8<br/>";
echo'<a href="/fp.php">Вернуться на арену</a><br/>';}
else { echo"Вы не выбрали противника!<br/>";
echo'<a href="/fp.php">Вернуться на арену</a>';}
}else {echo"Отдохните после боя!<br/>";}
break;
case '9':
if ($udata[fp]>=1){
if($_GET['nick'] != NULL){
$visi  = $_GET['nick'];
$nfp=$udata['fp']-(1);
mysql_query("UPDATE users SET fp = '$nfp' WHERE usr = '$log' and fp > 0 LIMIT 1");
$result =  mysql_query("SELECT * FROM `users` WHERE `usr` = '$visi'");
$res = mysql_fetch_array($result);
$z1=$udata[pgolova]+$udata[pnogi]+$udata[pbody];
$z2=$res[pgolova]+$res[pnogi]+$res[pbody];
$s1=$z1+$udata[sila]+$udata[lovk]+$udata[umax]+$udata[hp]+$udata[antikrit];
$s2=$z2+$res[sila]+$res[lovk]+$res[umax]+$res[hp]+$res[antikrit];
if($res[lvl]!=0){$sb=$res[lvl]*$box;}else{$sb=$box;}
if($udata[lvl]!=0){$sbm=$res[lvl]*$box;}else{$sbm=$box;}
if($res[lvl]!=0){$op=$res[lvl]*$box1;}else{$op=$box1;}
if ($s1>=$s2){echo "Вы победили война $visi! И забрали у него $sb монет и получили $op опыта!<br/>";
mysql_query("UPDATE users SET money = `money`+'$sb', arenawins = `arenawins`+'1', boi = `boi`+'1', exp = `exp`+'$op' WHERE usr = '$log'");
mysql_query("UPDATE users SET arenaloses = `arenaloses`+'1', boi = `boi`+'1' WHERE usr = '$visi'");
if(!empty($udata[clan]))
{
$req2 = mysql_query("SELECT * FROM `clan` WHERE `lider` = '$udata[clan]' LIMIT 1");
$clan = mysql_fetch_array($req2);
mysql_query("UPDATE `clan` SET `exp`='$clan[exp]' + '$op' WHERE `name` = '$clan[name]' LIMIT 1");
mysql_query("UPDATE `users` SET `cexp`='$udata[cexp]' + '$op' WHERE `usr` = '$log' LIMIT 1");
}
$text = 'На Вас напал '.$log.', победив Вас';
mysql_query("INSERT INTO `otchet` SET `user_from` = '$log', `user_to` = '$visi', `time` = '$time', `read` = 1, `mail_msg` = '$text'");
}
else {
if($udata['money'] < $sbm) { $sbm = $udata['money']; }
echo "Вы проиграли битву против $visi! У вас отняли $sbm монет!<br/>";
mysql_query("UPDATE users SET money = `money`+'$sbm', arenawins = `arenawins`+'1', boi = `boi`+'1' WHERE usr = '$visi'");
mysql_query("UPDATE users SET boi = `boi`+'1', money = `money`-'$sbm', arenaloses = `arenaloses`+'1' WHERE usr = '$log'");
$text = 'На Вас напал '.$log.', но Вы дали ему отпор и заработали '.$sbm.' монет';
mysql_query("INSERT INTO `otchet` SET `user_from` = '$log', `user_to` = '$visi', `time` = '$time', `read` = 1, `mail_msg` = '$text'");
}
echo "<b>Детали боя:</b><br/>";
$a1=$udata[sila]-$res[pgolova];
$a2=$res[sila]-$udata[pgolova];
$a3=$udata[sila]-$res[pnogi];
$a4=$res[sila]-$udata[pnogi];
$a5=$udata[sila]-$res[pbody];
$a6=$res[sila]-$udata[pbody];
$a7=$s1-$z2;
$a8=$s2-$z1;
if ($a7<=0)$a7=0;
if ($a8<=0)$a8=0;
echo "$log ударил противника на $a7<br/>";
echo "$visi ударил противника на $a8<br/>";
echo'<a href="/fp.php">Вернуться на арену</a><br/>';}
else { echo"Вы не выбрали противника!<br/>";
echo'<a href="/fp.php">Вернуться на арену</a>';}
}else {echo"Отдохните после боя!<br/>";}
break;
}
include($path.'files/down.php');
?>